import { ScatterBase } from "./ScatterBase";
import { UnknownValuePlotting } from "igniteui-react-core";
import { Series } from "./Series";
import { Type, Point } from "igniteui-react-core";
import { ScatterFrame } from "./ScatterFrame";
import { SeriesView } from "./SeriesView";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterLineSeries extends ScatterBase {
    static $t: Type;
    protected bi(): Series;
    protected get_fi(): boolean;
    constructor();
    protected cq(): SeriesView;
    protected zn(): boolean;
    protected ji(): number;
    gu(a: Point, b: boolean): boolean;
    private ace;
    aa5(a: ScatterFrame, b: ScatterBaseView): void;
    private acl;
    protected get_zh(): boolean;
    abg(a: ScatterFrame, b: ScatterBaseView): void;
    private acj;
    private acf;
    private aci;
    acd: UnknownValuePlotting;
    protected q4(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
